Subject: Re: Which VCS besides git?

From: Jakub Narebski <[email-masked]>
Date: Wed, 3 Mar 2010 02:41:16 +0100

Kārlis Repsons wrote:
> On Tuesday 02 March 2010 16:12:22 Jakub Narebski wrote:
> > Kārlis Repsons <[email-masked]> writes:

> > > which VCS besides git provide chaining of commits with help of some
> > > cryptographic hash function, warning about or not allowing commits to be
> > > deleted on an equivalent of pull action, so that all added pieces of data
> > > can be retained securely on client side?
> > 
> > Could you rephrase your request in more clear way?
>
> On top of what you wrote already, I'd like to know which VCS have immutable 
> history, which can all be stored (say, gradually accumulated) on clientside? I 
> hope, that explained the idea...

As I wrote, all VCS which use cryptographic hash function (digest) for
commit identifier have immutable history.

All distributed VCS (DVCS) store whole[*] history with checkout.  There
isn't (beside _social_ reasons) any distinction between different repos:
there is no client - server model (so no "clientside"), but rather peer
2 peer model.  See http://en.wikipedia.org/wiki/List_of_revision_control_software#Distributed_model
(from OSS ones I'd say Git, Mercurial, Bazaar, Darcs, Monotone count).

[*] well, with possibly some exceptions, like shallow clone, or selecting
    branches to clone.

-- 
Jakub Narebski
Poland